## Process this file with automake to produce Makefile.in

## Old suffix rules are portable between GNU make 
## and non GNU make
SUFFIXES = .pod .1

## can't use (open)jade: these lack roff backend
DBX2MAN = $(XP) --nonet --path $(top_builddir)/$(subdir) $(MANXSL) $<

DBX2HTML = $(XP) --nonet --path $(top_builddir)/$(subdir) /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html/docbook.xsl $< > $@

.pod.1:
	pod2man --utf8 --center='$(PACKAGE)' --release='$(VERSION)' $? > $@

st_snapshot.hourly.1: st_snapshot.hourly.dbx man.ent
	$(DBX2MAN)

st_snapshot.hourly.1.html: st_snapshot.hourly.dbx
	$(DBX2HTML)

systraq.8: systraq.dbx man.ent
	$(DBX2MAN)

systraq.8.html: systraq.dbx
	$(DBX2HTML)

html-local: st_snapshot.hourly.1.html systraq.8.html

man_MANS = st_snapshot.1 st_snapshot.hourly.1 systraq.8

EXTRA_DIST = man.ent st_snapshot.pod st_snapshot.hourly.dbx systraq.dbx $(man_MANS)
CLEANFILES = $(man_MANS)
